Roundup Tracker - Issues

Issue 2550987

classification
Title: Use newer MySQL interface module
Type: rfe Severity: normal
Components: Database Versions: devel
process
Status: fixed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: cmeerw, joseph_myers
Priority: Keywords: python3

Created on 2018-07-25 19:59 by joseph_myers, last changed 2018-08-18 16:18 by joseph_myers.

Messages
msg6143 Author: [hidden] (joseph_myers) Date: 2018-07-25 19:59
The MySQL interface module used by Roundup is unmaintained and does not
support Python 3.  We need to switch to some newer module while
remaining compatible with existing databases.  Possibilities suggested
include https://pypi.org/project/mysql-connector-python/ from the MySQL
maintainers (GPL like MySQL) and SQLAlchemy Core.
msg6200 Author: [hidden] (cmeerw) Date: 2018-08-17 19:25
https://pypi.org/project/mysqlclient/ seems to be a compatible update of 
https://pypi.org/project/MySQL-python/ with Python 3 support. Let's see 
if that works, we can then just switch...
msg6201 Author: [hidden] (joseph_myers) Date: 2018-08-18 00:38
doc/features.txt has a link to the old module which will need updating.  
The change should also be mentioned in CHANGES.txt.
msg6203 Author: [hidden] (joseph_myers) Date: 2018-08-18 16:18
This seems to be all done now, thanks.
History
Date User Action Args
2018-08-18 16:18:14joseph_myerssetstatus: new -> fixed
resolution: fixed
messages: + msg6203
2018-08-18 00:38:13joseph_myerssetmessages: + msg6201
2018-08-17 19:25:03cmeerwsetnosy: + cmeerw
messages: + msg6200
2018-07-26 10:43:30joseph_myerssetkeywords: + python3
2018-07-25 19:59:24joseph_myerscreate